CAStopEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.media
Class CAStopEvent

    java.lang.Object
      java.util.EventObject
          javax.media.ControllerEvent
              javax.media.TransitionEvent
                  javax.media.StopEvent
                      org.dvb.media.CAStopEvent

All Implemented Interfaces:
  Serializable, MediaEvent

    public class CAStopEvent

extends StopEvent

This event is generated whenever access to a service is withdrawn by the CA system, e.g. at the end of a free preview period. It is not generated when an attempt to construct a Player or DataSource fails due to CA restrictions, or when only some of the presented content is not available or alternate content is presented. Generation of this event informs the application that the Player is no longer presenting any content.

See Also:
  Serialized Form

Constructor Summary
`CAStopEvent(Controller source)` Construct an event.
`CAStopEvent(Controller source, int previous, int current, int target, MediaLocator stream)` Construct an event.

Method Summary
`MediaLocator` | `getStream()` This method returns the stream from which access has been withdrawn.

Methods inherited from class javax.media.StopEvent
`getMediaTime`

Methods inherited from class javax.media.TransitionEvent
`getCurrentState, getPreviousState, getTargetState`

Methods inherited from class javax.media.ControllerEvent
`getSource, getSourceController`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CAStopEvent

    public CAStopEvent(Controller source)

  Construct an event.

  Parameters:
    `source` - the controller which was presenting the service

### CAStopEvent

    public CAStopEvent(Controller source,
                       int previous,
                       int current,
                       int target,
                       MediaLocator stream)

  Construct an event.

  Parameters:
    `source` - the controller which was presenting the service
    `stream` - the locator of the stream from which access has been withdrawn.
    `previous` - the previous state of the controller
    `current` - the current state of the controller
    `target` - the target state of the controller

Method Detail

### getStream

    public MediaLocator getStream()

  This method returns the stream from which access has been withdrawn.

  Returns:
    the locator for the stream concerned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD